FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202111041636.p0.git.6d9de39.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202111041636.p0.git.6d9de39.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=6d9de39 OS_GIT_VERSION=4.7.0-202111041636.p0.git.6d9de39.assembly.stream-6d9de39 SOURCE_DATE_EPOCH=1607042619 SOURCE_GIT_COMMIT=6d9de398bc37882309803c5437de60ef80a6d676 SOURCE_GIT_TAG=6d9de398 SOURCE_GIT_URL=https://github.com/openshift/sriov-network-device-plugin 

ADD . /usr/src/sriov-network-device-plugin

WORKDIR /usr/src/sriov-network-device-plugin

ENV HTTP_PROXY $http_proxy
ENV HTTPS_PROXY $https_proxy
RUN make clean && \
    make build

FROM openshift/ose-base:v4.7.0.20211104.165239
ENV __doozer=update BUILD_RELEASE=202111041636.p0.git.6d9de39.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202111041636.p0.git.6d9de39.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=6d9de39 OS_GIT_VERSION=4.7.0-202111041636.p0.git.6d9de39.assembly.stream-6d9de39 SOURCE_DATE_EPOCH=1607042619 SOURCE_GIT_COMMIT=6d9de398bc37882309803c5437de60ef80a6d676 SOURCE_GIT_TAG=6d9de398 SOURCE_GIT_URL=https://github.com/openshift/sriov-network-device-plugin 
ENV INSTALL_PKGS "hwdata"
RUN yum install -y $INSTALL_PKGS && \
    rpm -V $INSTALL_PKGS && \
    yum clean all
COPY --from=builder /usr/src/sriov-network-device-plugin/build/sriovdp /usr/bin/
WORKDIR /


ADD ./images/entrypoint.sh /

ENTRYPOINT ["/entrypoint.sh"]

LABEL \
        io.k8s.display-name="SRIOV Network Device Plugin" \
        name="openshift/ose-sriov-network-device-plugin" \
        com.redhat.component="sriov-network-device-plugin-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="SR-IOV" \
        release="202111041636.p0.git.6d9de39.assembly.stream" \
        io.openshift.build.commit.id="6d9de398bc37882309803c5437de60ef80a6d676" \
        io.openshift.build.source-location="https://github.com/openshift/sriov-network-device-plugin" \
        io.openshift.build.commit.url="https://github.com/openshift/sriov-network-device-plugin/commit/6d9de398bc37882309803c5437de60ef80a6d676" \
        version="v4.7.0"

